//Copyright (C) Ben Parbury - All Rights Reserved. Unauthorized copying of this file, via any medium is strictly prohibited. Written by Ben Parbury <ben@gridlockinteractive.com> 2014
function IncludeJavaScript(filename)
{
  document.write("<script type=\"text/javascript\" src=\"" + filename + "\"><\/script>"); 
}

IncludeJavaScript("Library/seedrandom/seedrandom-min.js");
IncludeJavaScript("Library/buzz/buzz-min.js");
IncludeJavaScript("Scripts/Engine/util.js");
IncludeJavaScript("Scripts/Engine/ini.js");
IncludeJavaScript("Scripts/Engine/drawContext.js");
IncludeJavaScript("Scripts/Engine/drawLibrary.js");
IncludeJavaScript("Scripts/Engine/errorHandling.js");
IncludeJavaScript("Scripts/Game/font.js");
IncludeJavaScript("Library/webfont/webfont.js");
IncludeJavaScript("Scripts/Game/Localization/english.js");
IncludeJavaScript("Scripts/Game/Localization/localized.js");
IncludeJavaScript("Scripts/Game/storage.js");
IncludeJavaScript("Scripts/Game/keyCodeToString.js");
IncludeJavaScript("Scripts/Game/audio.js");
IncludeJavaScript("Scripts/Game/statsSystem.js");
IncludeJavaScript("Scripts/Game/Tiles/tile.js");
IncludeJavaScript("Scripts/Game/Particles/particleSystem.js");
IncludeJavaScript("Scripts/Game/Particles/blockParticle.js");
IncludeJavaScript("Scripts/Game/Particles/completeParticle.js");
IncludeJavaScript("Scripts/Game/Particles/undoParticle.js");
IncludeJavaScript("Scripts/Game/Rules/exit.js");
IncludeJavaScript("Scripts/Game/Rules/rules.js");
IncludeJavaScript("Scripts/Game/Rules/highscore.js");
IncludeJavaScript("Scripts/Game/Rules/rulesSystem.js");
IncludeJavaScript("Scripts/Game/Overlay/score.js");
IncludeJavaScript("Scripts/Game/Overlay/complete.js");
IncludeJavaScript("Scripts/Game/Overlay/controls.js");
IncludeJavaScript("Scripts/Game/Overlay/performance.js");
IncludeJavaScript("Scripts/Game/Overlay/objectives.js");
IncludeJavaScript("Scripts/Game/Overlay/icon.js");
IncludeJavaScript("Scripts/Game/Overlay/icons.js");
IncludeJavaScript("Scripts/Game/Overlay/hints.js");
IncludeJavaScript("Scripts/Game/Overlay/nextBlock.js");
IncludeJavaScript("Scripts/Game/Menu/menuItem.js");
IncludeJavaScript("Scripts/Game/Menu/menu.js");
IncludeJavaScript("Scripts/Game/Menu/button.js");
IncludeJavaScript("Scripts/Game/Menu/text.js");
IncludeJavaScript("Scripts/Game/Menu/tripleButton.js");
IncludeJavaScript("Scripts/Game/Menu/patternButton.js");
IncludeJavaScript("Scripts/Game/Menu/volumeButton.js");
IncludeJavaScript("Scripts/Game/Menu/fullscreenButton.js");
IncludeJavaScript("Scripts/Game/Menu/autoAdjustButton.js");
IncludeJavaScript("Scripts/Game/Menu/controlsDisplayButton.js");
IncludeJavaScript("Scripts/Game/Menu/padControls.js");
IncludeJavaScript("Scripts/Game/Menu/qualityButton.js");
IncludeJavaScript("Scripts/Game/Menu/resolutionButton.js");
IncludeJavaScript("Scripts/Game/Menu/trackButton.js");
IncludeJavaScript("Scripts/Game/Menu/remapButton.js");
IncludeJavaScript("Scripts/Game/Menu/remapControlsButtons.js");
IncludeJavaScript("Scripts/Game/Menu/applyBackButton.js");
IncludeJavaScript("Scripts/Game/Menu/optionsButton.js");
IncludeJavaScript("Scripts/Game/Menu/menuSystem.js");
IncludeJavaScript("Scripts/Game/Menu/pauseMenu.js");
IncludeJavaScript("Scripts/Game/Menu/optionsMenu.js");
IncludeJavaScript("Scripts/Game/Block/block.js");
IncludeJavaScript("Scripts/Game/Block/blockSystem.js");
IncludeJavaScript("Scripts/Game/Block/blockRenderer.js");
IncludeJavaScript("Scripts/Game/Player/player.js");
IncludeJavaScript("Scripts/Game/Player/playerSystem.js");
IncludeJavaScript("Scripts/Game/Spawner/spawnArea.js");
IncludeJavaScript("Scripts/Game/Spawner/spawner.js");
IncludeJavaScript("Scripts/Game/Spawner/spawnerManager.js");
IncludeJavaScript("Scripts/Game/background.js");
IncludeJavaScript("Scripts/Game/levelList.js");
IncludeJavaScript("Scripts/Game/unlockSystem.js");
IncludeJavaScript("Scripts/Game/Tiles/tileSystem.js");
IncludeJavaScript("Scripts/Game/hubDefinition.js");
IncludeJavaScript("Scripts/Game/Styles/rgb.js");
IncludeJavaScript("Scripts/Game/Styles/styles.js");
IncludeJavaScript("Scripts/Game/setManager.js");
IncludeJavaScript("Scripts/Game/levelSystem.js");
IncludeJavaScript("Scripts/Game/pause.js");
IncludeJavaScript("Scripts/Game/basehub.js");
IncludeJavaScript("Scripts/Game/telemetry.js");
IncludeJavaScript("Scripts/Game/recordingSystem.js");
IncludeJavaScript("Scripts/Game/undoSystem.js");
IncludeJavaScript("Scripts/Game/tween.js");
IncludeJavaScript("Scripts/Game/game.js");
IncludeJavaScript("Scripts/Game/draw.js");
IncludeJavaScript("Scripts/Game/interaction.js");
IncludeJavaScript("Scripts/Game/keyboard.js");
IncludeJavaScript("Scripts/Game/pad.js");
IncludeJavaScript("Scripts/main.js");

if(gEditor)
{
  IncludeJavaScript("Scripts/Game/editor.js");
}

